> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai-baseline.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List S&P 500 metadata filters

> Returns S&P 500 metadata-filter fields, supported operators, limits, bounds, and optional categorical values.



## OpenAPI

````yaml /openapi.json get /metadata-filters
openapi: 3.1.0
info:
  title: AI Baseline API
  description: REST contract for AI Baseline queries and metadata-filter discovery.
  version: 7.12.8
servers:
  - url: https://api-beta.ai-baseline.xyz/v2/sandp_500
    description: AI Baseline API
security:
  - ApiKeyAuth: []
paths:
  /metadata-filters:
    get:
      tags:
        - Metadata
      summary: List S&P 500 metadata filters
      description: >-
        Returns S&P 500 metadata-filter fields, supported operators, limits,
        bounds, and optional categorical values.
      operationId: listMetadataFilters
      parameters:
        - name: include_values
          in: query
          required: false
          schema:
            type: boolean
            description: Include allowed categorical values and alias text when available.
            default: false
            title: Include Values
          description: Include allowed categorical values and alias text when available.
        - name: field
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Return one public metadata-filter field by name.
            title: Field
          description: Return one public metadata-filter field by name.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetadataFiltersResponse'
        '404':
          description: Unknown domain
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '413':
          description: Request body too large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    MetadataFiltersResponse:
      properties:
        domain:
          type: string
          title: Domain
        schema_version:
          type: string
          title: Schema Version
        fields:
          items:
            $ref: '#/components/schemas/MetadataFilterField'
          type: array
          title: Fields
      additionalProperties: false
      type: object
      required:
        - domain
        - schema_version
        - fields
      title: MetadataFiltersResponse
    ErrorResponse:
      properties:
        status_code:
          type: integer
          title: Status Code
        message:
          type: string
          title: Message
        detail:
          anyOf:
            - {}
            - type: 'null'
          title: Detail
      type: object
      required:
        - status_code
        - message
      title: ErrorResponse
    MetadataFilterField:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        value_type:
          type: string
          title: Value Type
        operators:
          items:
            type: string
          type: array
          title: Operators
        has_values:
          type: boolean
          title: Has Values
        numeric_bounds:
          anyOf:
            - $ref: '#/components/schemas/MetadataFilterNumericBounds'
            - type: 'null'
        max_values_per_condition:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Values Per Condition
        max_value_length:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Value Length
        allowed_values:
          anyOf:
            - items:
                $ref: '#/components/schemas/MetadataFilterAllowedValue'
              type: array
            - type: 'null'
          title: Allowed Values
      additionalProperties: false
      type: object
      required:
        - name
        - description
        - value_type
        - operators
        - has_values
      title: MetadataFilterField
    MetadataFilterNumericBounds:
      properties:
        min:
          type: number
          title: Min
        max:
          type: number
          title: Max
      additionalProperties: false
      type: object
      required:
        - min
        - max
      title: MetadataFilterNumericBounds
    MetadataFilterAllowedValue:
      properties:
        value:
          type: string
          title: Value
        display_value:
          type: string
          title: Display Value
        aliases:
          items:
            type: string
          type: array
          title: Aliases
      additionalProperties: false
      type: object
      required:
        - value
        - display_value
        - aliases
      title: MetadataFilterAllowedValue
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````